<?php
include './conexion.php';


if(isset($_POST['data'])) {
    // Decodificar los datos JSON
    $data=$_POST['data'];
    $sqlx=null;
    $sql = "INSERT INTO periodos (periodo,fechaInicial,fechaFinal,mes,anio,semana) values ";
    // Verificar si se recibieron datos
    if(!empty($data)) {
        $sqlx=$sql.$data;


            } else {
                // Manejar el caso en el que alguna clave esperada esté ausente
                echo "Falta una o más claves en los datos recibidos.";
            }
        }

        $query_insert=mysqli_query($connection,$sqlx);
        if($query_insert){
            $status = 'ok';
        
        }else{
            $status = 'err1';
            
        }

    


$mensaje = array(
    'respuesta' => $status
);
    
echo json_encode($mensaje);		


